import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);

import Appointment from "../views/Appointment.vue"
const routes = [
    {
      path: "/",
      name: "Queue",
      component: () => import("../views/Queue.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/apply",
      name: "Apply",
      component: () => import("../views/Apply.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/applyreal",
      name: "Applyreal",
      component: () => import("../views/Applyreal.vue"),
      meta: {
          title: '美发预约系统'
      }
    },
    {
      path: "/appointment",
      name: "Appointment",
      component: Appointment,
      meta: {
          title: '美发预约系统'
      }
    },
    {
        path: '/actionSheet',
        name: "ActionSheet",
        component: () => import("../views/ActionSheet.vue"),
        meta: {
            title: '汽车保险'
        }
    },
    {
        path: '/menuDiet',
        name: "MenuDiet",
        component: () => import("../views/MenuDiet.vue"),
        meta: {
            title: '菜单'
        }
    },
    {
        path: '/pushMenu',
        name: "PushMenu",
        component: () => import("../views/PushMenu.vue"),
        meta: {
            title: '添加菜单'
        }
    },
    // 排行
    {
        path: '/ranking',
        name: "Ranking",
        component: () => import("../views/ranking/index.vue"),
        meta: {
            title: '排行'
        }
    }
];
// http://djweb.smcic.net/hair/index.html#/appointment

const router = new VueRouter({
  routes,
});

export default router;
